%define brand RedHat
%define wwwdir /var/www/html/site/documentation

Name:		publican-redhat
Summary:	Common documentation files for %{brand}
Version:	4.13
Release:	1%{?dist}
License:	CC-BY-SA	
Group:		Applications/Text
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildarch:	noarch
Source:	        https://fedorahosted.org/releases/p/u/publican/publican-redhat-%{version}.tgz	
Requires:	publican-API = 4.1
BuildRequires:	publican-API = 4.1
URL:		https://fedorahosted.org/publican
Provides:       publican-jboss = %{version}-%{release}
Obsoletes:      publican-jboss < %{version}-%{release}
Provides:       publican-openshift = %{version}-%{release}
Obsoletes:      publican-openshift < %{version}-%{release}

%description
This package provides common files and templates needed to build documentation
for %{brand} with publican.

%package web
Summary:        Web styles for %{brand}
Group:          Documentation
Requires:       publican-common-web >= 4.0
Requires:       %{name} = %{version}-%{release}
Provides:       publican-jboss-web = %{version}-%{release}
Obsoletes:      publican-jboss-web < %{version}-%{release}
Provides:       publican-openshift-web = %{version}-%{release}
Obsoletes:      publican-openshift-web < %{version}-%{release}

%description web
Web Site common files for the %{brand} brand.

%prep
%setup -q 

%build
publican build --formats=xml --langs=all --publish

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/publican/Common_Content
publican install_brand --path=$RPM_BUILD_ROOT%{_datadir}/publican/Common_Content
mkdir -p -m755 $RPM_BUILD_ROOT/%{wwwdir}/%{brand}
publican install_brand --web --path=$RPM_BUILD_ROOT/%{wwwdir}/%{brand}

## Have to create symlinks here for %%ghost to work
pushd $RPM_BUILD_ROOT/%{wwwdir}
ln -s %{brand} JBoss
ln -s %{brand} OpenShift
popd
pushd $RPM_BUILD_ROOT%{_datadir}/publican/Common_Content
ln -s %{brand} JBoss
ln -s %{brand} OpenShift
popd

## Have to recreate symlinks after transaction as RPM doesn't allow
## converting a directory to a symlink
%posttrans -n %{name}-web
if [ -d "%{wwwdir}" ] ; then
pushd %{wwwdir}
rm -rf JBoss OpenShift
ln -s %{brand} JBoss
ln -s %{brand} OpenShift
popd
fi

## Have to recreate symlinks after transaction as RPM doesn't allow
## converting a directory to a symlink
%posttrans
if [ -d "%{_datadir}/publican/Common_Content" ] ; then
pushd %{_datadir}/publican/Common_Content
rm -rf JBoss OpenShift
ln -s %{brand} JBoss
ln -s %{brand} OpenShift
popd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_datadir}/publican/Common_Content/%{brand}
%ghost %{_datadir}/publican/Common_Content/JBoss
%ghost %{_datadir}/publican/Common_Content/OpenShift

%files web
%defattr(-,root,root,-)
%doc README COPYING
%{wwwdir}/%{brand}
%ghost %{wwwdir}/JBoss
%ghost %{wwwdir}/OpenShift

%changelog
* Fri May 23 2014 Jeff Fearn <jfearn@redhat.com> 4.13-1
- Beat symlinks in to line.

* Fri May 23 2014 Rüdiger Landmann <rlandman@redhat.com> 4.13-0
- add symlinks for web common content

* Fri May 23 2014 Rüdiger Landmann <rlandman@redhat.com> 4.12-0
- fix obsoletes and provides

* Fri May 23 2014 Rüdiger Landmann <rlandman@redhat.com> 4.11-0
- merge JBoss and OpenShift brands

* Wed Apr 23 2014 Jeff Fearn <jfearn@redhat.com> 4.10-0
- Publican 4.1 fixes.
- Fix draft watermark. BZ #1081363
- Fix html-desktop styling. BZ #1051026

* Wed Apr 23 2014 Rüdiger Landmann <rlandman@redhat.com> 4.9-0
- remove obsolete products BZ #1088833

* Tue Mar 25 2014 Jeff Fearn <jfearn@redhat.com> 4.8-0
- Fix IE8 navigation issues. BZ #1078619

* Mon Mar 24 2014 Gemma Sheldon <gsheldon@redhat.com> 4.7-1
- Added OpenStack Platform Cerification heading.

* Fri Feb 28 2014 Rüdiger Landmann <rlandman@redhat.com> 4.6-1
- Clarify WFK 1.x as retired BZ#952358

* Thu Feb 20 2014 Rüdiger Landmann <rlandman@redhat.com> 4.5-1
- Move JBoss WFK to Retired BZ#952358

* Thu Feb 20 2014 Rüdiger Landmann <rlandman@redhat.com> 4.4-1
- Create "Retired Products" category, move Red Hat HPC and JBoss JCP there BZ#952358

* Tue Feb 18 2014 Rüdiger Landmann <rlandman@redhat.com> 4.3-3
- Modify output of citetitle and emphasis in ja-JP BZ#1063538
- Add Red Hat JBoss AM-Q and Red Hat JBoss Fuse to homepage template BZ#1064746
- Remove duplicate Red Hat Enterprise Linux OpenStack Platform listing from homepage template BZ#1049669

* Tue Feb 11 2014 Rüdiger Landmann <rlandman@redhat.com> 4.3-2
- Back out broken epub.xsl

* Mon Feb 10 2014 Rüdiger Landmann <rlandman@redhat.com> 4.3-1
- Remove reference to non-existent footer.html BZ#1056758
- Change Japanese name order to first-last BZ#1063105

* Thu Jan 9 2014 Lee Newson <lnewson@redhat.com> 4.2-1
- Fix standalone builds

* Fri Dec 20 2013 Rüdiger Landmann <rlandman@redhat.com> 4.1-1
- Update landing page

* Wed Dec 18 2013 Rüdiger Landmann <rlandman@redhat.com> 4.0-1
- Release for Publican 4.0

* Fri Nov 22 2013 Lee Newson <lnewson@redhat.com> 3.99-31
- Reinstate PDF styles

* Wed Nov 6 2013 Matt Casperson <mcaspers@redhat.com> 3.99-30
- Fix for books built from <refentry>s

* Tue Nov 5 2013 Matt Casperson <mcaspers@redhat.com> 3.99-29
- JS fix for IE
- landing page updates from lnewson

* Mon Nov 4 2013 Lee Newson <lnewson@redhat.com> 3.99-28
- Fix to make Support tab active

* Mon Nov 4 2013 Matt Casperson <mcaspers@redhat.com> 3.99-27
- JS fix for IE

* Mon Nov 4 2013 Matt Casperson <mcaspers@redhat.com> 3.99-26
- JS fix for IE

* Thu Oct 31 2013 Matt Casperson <mcaspers@redhat.com> 3.99-25
- JS fix for IE

* Wed Oct 30 2013 Matt Casperson <mcaspers@redhat.com> 3.99-24
- Fix nav footer on single-page html

* Wed Oct 30 2013 Matt Casperson <mcaspers@redhat.com> 3.99-23
- Fix nav footer on single-page html

* Mon Oct 28 2013 Matt Casperson <mcaspers@redhat.com> 3.99-22
- JS fix for IE

* Thu Oct 24 2013 Matt Casperson <mcaspers@redhat.com> 3.99-21
- JS fix for IE

* Tue Oct 22 2013 Matt Casperson <mcaspers@redhat.com> 3.99-20
- JS and XSL fix

* Mon Oct 21 2013 Lee Newson <lewson@redhat.com> 3.99-19
- Implement new breadcrumb mechanism

* Fri Oct 18 2013 Lee Newson <lewson@redhat.com> 3.99-18
- Implement new breadcrumb mechanism

* Tue Oct 15 2013 Lee Newson <lewson@redhat.com> 3.99-17
- Update web head template

* Mon Oct 14 2013 Lee Newson <lewson@redhat.com> 3.99-16
- Update web head template

* Mon Oct 14 2013 Lee Newson <lewson@redhat.com> 3.99-15
- Back out JS changes

* Mon Oct 14 2013 Lee Newson <lewson@redhat.com> 3.99-14
- More CSS, XSL, and JS changes for Publican 3.99

* Sat Oct 12 2013 Matt Casperson <mcaspers@redhat.com> 3.99-13
- More CSS changes for Publican 3.99

* Fri Oct 11 2013 Matt Casperson <mcaspers@redhat.com> 3.99-12
- More CSS changes for Publican 3.99

* Thu Oct 10 2013 Matt Casperson <mcaspers@redhat.com> 3.99-11
- Accommodate CSS changes in Publican 3.99

* Wed Oct 09 2013 Rüdiger Landmann <rlandman@redhat.com> 3.99-10
- Rebuild against Publican 3.99

* Tue Oct 01 2013 Matt Casperson <mcaspers@redhat.com> 3.99-9
- Update to accommodate latest portal code

* Fri Sep 13 2013 Katie Miller <kamiller@redhat.com> 3.99-8
- Fix issues found in triage

* Wed Sep 11 2013 Katie Miller <kamiller@redhat.com> 3.99-7
- Fix issues found in triage

* Mon Sep 2 2013 Katie Miller <kamiller@redhat.com> 3.99-6
- Update menu.js

* Mon Sep 2 2013 Katie Miller <kamiller@redhat.com> 3.99-5
- Fix for CSS changes in portal

* Thu Aug 29 2013 Katie Miller <kamiller@redhat.com> 3.99-4
- Fix for CSS issue caused by Common brand menu.css

* Tue Aug 27 2013 Rüdiger Landmann <rlandmann@redhat.com> 3.99-3
- Update prod_url

* Thu Mar 14 2013 Katie Miller <kamiller@redhat.com> 3.99-2
- Add menu.js 

* Thu Mar 14 2013 Katie Miller <kamiller@redhat.com> 3.99-1
- Add menu.js 

* Thu Mar 14 2013 Katie Miller <kamiller@redhat.com> 3.99-0
- Added Portal chroming to brand. 

